package config

// Validator defines the interface for config validation
type Validator interface {
	Validate() error
}

// ValidateAll validates multiple configs at once
func ValidateAll(configs ...Validator) error {
	for _, cfg := range configs {
		if err := cfg.Validate(); err != nil {
			return err
		}
	}
	return nil
}
